#include <bits/stdc++.h>

using namespace std;
int a[2000003];
vector <int> strelice;
int main(){
    ios_base::sync_with_stdio(false);
cin.tie(NULL);
    int n, k;
    cin>>n>>k;
    int r=0;
    for(int i=0; i<n; i++){
        int x;
        cin>>x;
        a[x+n]++;
        if(a[x+n]==k){
            strelice.push_back(x);
            r++;
        }
    }
    cout<<r<<endl;
    for(int i=0; i<r; i++)
        cout<<strelice[i]<<' ';
    return 0;
}